al_register_font_loader(3)

NAME

al_register_font_loader - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_font.h>
    bool al_register_font_loader(char const *extension,
       ALLEGRO_FONT *(*load_font)(char const *filename, int size, int flags))

DESCRIPTION

Informs Allegro of a new font file type, telling it how to load files of this format.

The extension should include the leading dot ('.') character. It will be matched case-insensitively.

The load_font argument may be NULL to unregister an entry.

Returns true on success, false on error. Returns false if unregistering an entry that doesn't exist.

SEE ALSO

al_init_font_addon(3)